#ifndef _EQGUI_H_
#define _EQGUI_H_

typedef struct {
  void *cairo_surface;
  int visible;
  int active_button;
  int clicked_button;
  int dirty;
} eqgui;

void eqgui_init(eqgui *);
void eqgui_enter(eqgui *);
int eqgui_button_press(eqgui *, int x, int y, int button,
                       int width, int height);
int eqgui_button_release(eqgui *, int x, int y, int button,
                         int width, int height);
int eqgui_pointer_move(eqgui *, int x, int y, int width, int height);
int eqgui_key_press(eqgui *, int);
char *eqgui_get_screen(eqgui *);

#endif /* _EQGUI_H_ */
