#ifndef _MY_ALSA_H_
#define _MY_ALSA_H_

typedef struct {
  int samplerate;
  int channels;
  char *device;
  void *h;        /* snd_pcm_t * */
} alsa_data;

void *alsa_open(void);
void alsa_close(void);
int alsa_latency(void *a);
void alsa_play(void *a, char *buf, int nsamples);
void alsa_drop(void *a);
void alsa_drain(void *a);

#endif /* _MY_ALSA_H_ */
