#ifndef _EQ_H_
#define _EQ_H_

typedef struct {
  float filter;
  float filter_gain;
  float section[4];
  float frequency[4];
  float bandwidth[4];
  float gain[4];
  void *paramfilt_left;
  void *paramfilt_right;
  /* those two should be moved out of here */
  float frequency_low[4];
  float frequency_high[4];
  float samplerate;
} eq;

void init_eq(eq *e, float f);
void close_eq(eq *e);

#include <stdint.h>

void run_eq(eq *e, int16_t *, int len, int channels);

#endif /* _EQ_H_ */
