#ifndef _UTIL_H_
#define _UTIL_H_

#define RT_NONE         0
#define RT_SCHED_FIFO   1
#define RT_BUSY_WAIT    2

#include <stdint.h>

uint64_t get_time(void);

void *process_watch(void *_);

#include "msg.h"

void new_timer(int timeout_ms, int to, int msg_id, arg_t a);

int get_utf8(char *s, int *v);

int new_id(void);

void remove_capabilities(void);

enum {
  OVER_NOTHING, OVER_REDRAW, OVER_QUIT
};

#endif /* _UTIL_H_ */
