#ifndef _X_H_
#define _X_H_

#define KEY_UP        (4096 + 0)
#define KEY_DOWN      (4096 + 1)
#define KEY_LEFT      (4096 + 2)
#define KEY_RIGHT     (4096 + 3)
#define KEY_PAGE_UP   (4096 + 4)
#define KEY_PAGE_DOWN (4096 + 5)
#define KEY_ESC       (4096 + 10)

typedef void x_t;

#include "eqgui.h"

x_t *init_display(int width, int height, int fps, int fullscreen, eqgui *eg);
void *xthread(x_t *_x);
void *xthread_msg(x_t *_x);
void wait_for_x(void);

#endif /* _X_H_ */
